Subject: Re: bug#32607: 27.0.50; pop-to-buffer in next-error-no-select

From: martin rudalics <[email-masked]>
Date: Mon, 03 Sep 2018 09:31:44 +0200

>> I'm not quite sure I understand: Is there a reason you did not supply
 >> 'display-buffer-reuse-window' in the above customization?
 >
 > Because it's an idiomatic way to tell the Emacs window manager to
 > display the *grep* buffer in the same window (an old way to do the same
 > was using same-window-buffer-names and same-window-regexps)
 > when manually running M-x grep.

But that's what 'display-buffer-same-window' has been devised for.
'display-buffer-reuse-window' is supposed to use _any_ window that
already displays the buffer, not just the selected one.

 > But it fails when using C-o from the already displayed *grep*.
 > I think next-error-no-select should override the user setting with
 > display-buffer-overriding-action because the purpose of pop-to-buffer in
 > next-error-no-select is to ensure the *grep* buffer is displayed somewhere:

And if a user wanted to pop up a new window here?

martin